import { stringToSlug } from "../utils";
import SimpleSlider from "./slider";

export function Footer() {
  const teamYear = import.meta.env.VITE_TEAM_YEAR;
  const teamName = import.meta.env.VITE_TEAM_NAME;
  const teamSlug = stringToSlug(teamName);


  return (
    <footer className="pt-5 pb-5 footer py-5 mt-5 bg-d text-white">
      <div className="container">
      <div className="col zweirem">
        <span className="left"> 
          <a href="../bielefeld-cebitec/impressum" className="middle">Impressum</a>
        </span>
        <span className="right align-items-center" style={{display: "flex"}}>
        <a href="https://www.linkedin.com/in/igem-bielefeld-cebitec">
          <img className="socials" src="https://static.igem.wiki/teams/5247/design/icons/linkedin-hell.png"/>
        </a>
        <a href="https://www.instagram.com/igem.bielefeld/">
          <img className="socials" src="https://static.igem.wiki/teams/5247/design/icons/instagram-1.png"/>
        </a>
        <a href="http://www.youtube.com/@iGemBielefeld2024">
          <img className="socials" src="https://static.igem.wiki/teams/5247/design/icons/youtube-hell.png"/>
        </a>
        <a href="https://x.com/iGEM_Bielefeld">
          <img className="socials" src="https://static.igem.wiki/teams/5247/design/icons/twitter-hell.png"/>
        </a>
      </span>
      </div>
      <hr/> 
      <div className="row align-items-center">
      <div className="col-sm-4">
        <h6>Contact</h6>
      </div>
      <div className="col-sm-8">
        <div className="row align-items-center">
          <div className="col">
            <a href="./partners">
              <h6 className="alink">Spornsors and partners</h6>
            </a>
          </div>
          <div className="col">
            <h6>Former iGem Bielefeld teams</h6>
          </div>
        </div>
      </div>
    </div>
    <div className="row align-items-center">
      <div className="col-sm-4">
          <div className="col">
            info@igem-bielefeld.de
          </div>
          <div className="col"> </div>
          <div className="col">
            iGEM2024
            Universitätsstraße 25, 33613 Bielefeld
            Centrum für Biotechnologie (CeBiTec)
            Universität Bielefeld
          </div> 
        </div>
      <div className="col-4">
        <SimpleSlider>
            <a className="sponsor-container" href="https://www.plasmidfactory.com/">
              <img className="img-sponsor" src="https://static.igem.wiki/teams/5247/sponsors/plasmidfactory.png"/>
            </a>
            <a className="sponsor-container" href="http://www.zeiss.de/naturwissenschaften">
              <img className="img-sponsor" src="https://static.igem.wiki/teams/5247/sponsors/zeiss.png" />
            </a>
            <a className="sponsor-container" href="https://www.jenabioscience.com/">
              <img className="img-sponsor" src="https://static.igem.wiki/teams/5247/sponsors/jbs-dunkelgruen-text.png"/>
            </a>
            <a className="sponsor-container" href="https://www.gip.com/home/">
              <img className="img-sponsor" src="https://static.igem.wiki/teams/5247/sponsors/gip.png" />
            </a>
            <a className="sponsor-container" href="https://www.integra-biosciences.com">
              <img className="img-sponsor" src="https://static.igem.wiki/teams/5247/sponsors/integra-hinterlegt.jpeg" />
            </a>
            <a className="sponsor-container" href="https://www.uni-bielefeld.de/">
              <img className="img-sponsor" src="https://static.igem.wiki/teams/5247/logos-team/uni-bielefeld-dunkel.png"/>
            </a>
            <a className="sponsor-container" href="www.snapgene.com">
              <img className="img-sponsor" src="https://static.igem.wiki/teams/5247/sponsors/snapgene.png"/>
            </a>
            <a className="sponsor-container" href="https://bts-ev.de/">
              <img className="img-sponsor" src="https://static.igem.wiki/teams/5247/sponsors/bts.png"/>
            </a> 
            <a className="sponsor-container" href="https://www.uni-bielefeld.de/fakultaeten/technische-fakultaet/arbeitsgruppen/multiscale-bioengineering/campusbrauerei/">
              <img className="img-sponsor" src="https://static.igem.wiki/teams/5247/sponsors/campus-brauerei-hinterlegt.jpeg"/>
            </a>
            <a className="sponsor-container" href="www.idtdna.com">
              <img className="img-sponsor" src="https://static.igem.wiki/teams/5247/sponsors/idt-logo.png"></img>
            </a>
            <a className="sponsor-container" href="https://www.cebitec.uni-bielefeld.de/">
                  <img className="img-sponsor" src="https://static.igem.wiki/teams/5247/sponsors/cebitec-farbe.png"/>
            </a>
          </SimpleSlider>
      </div>
      <div className="col-4"> 
        <div className="row align-items-center">

          <div className="col">
            <div className="row align-items-center">
              <div className="col">
                <div className="col">
                  <a href="https://2023.igem.wiki/bielefeld-cebitec/home"> Team 2023</a>
                </div>
                <div className="col">
                  <a href="https://2021.igem.org/Team:Bielefeld-CeBiTec"> Team 2021</a>
                </div>
                <div className="col">
                  <a href="https://2020.igem.org/Team:Bielefeld-CeBiTec"> Team 2020</a>
                </div>
                <div className="col">
                  <a href="https://2019.igem.org/Team:Bielefeld-CeBiTec"> Team 2019</a>
                </div>
                <div className="col">
                  <a href="https://2018.igem.org/Team:Bielefeld-CeBiTec"> Team 2018</a>
                </div>
                <div className="col">
                  <a href="https://2017.igem.org/Team:Bielefeld-CeBiTec"> Team 2017</a>
                </div>
                <div className="col">
                  <a href="https://2016.igem.org/Team:Bielefeld-CeBiTec"> Team 2016</a>
                </div>
              </div>
              <div className="col">
                <div className="col">
                  <a href="https://2015.igem.org/Team:Bielefeld-CeBiTec" className="alink"> Team 2015</a>
                </div>
                <div className="col">
                  <a href="https://2014.igem.org/Team:Bielefeld-CeBiTec"> Team 2014</a>
                </div>
                <div className="col">
                  <a href="https://2013.igem.org/Team:Bielefeld-Germany"> Team 2013</a>
                </div>
                <div className="col">
                  <a href="https://2012.igem.org/Team:Bielefeld-Germany"> Team 2012</a>
                </div>
                <div className="col">
                  <a href="https://2011.igem.org/Team:Bielefeld-Germany"> Team 2011</a>
                </div>
                <div className="col">
                  <a href="https://2010.igem.org/Team:Bielefeld-Germany"> Team 2010</a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <hr/> 

        <hr />
        {/* The following MUST be on every page: license information and link to the repository on gitlab.igem.org */}
        <div className="row mt-4">
          <div className="col">
            <p className="mb-0">
              <small>
                © 2024 - Content on this site is licensed under a{" "}
                <a
                  className="subfoot"
                  href="https://creativecommons.org/licenses/by/4.0/"
                  rel="license"
                >
                  Creative Commons Attribution 4.0 International license
                </a>
                .
              </small>
            </p>
            <p>
              <small>
                The repository used to create this website is available at{" "}
                <a href={`https://gitlab.igem.org/${teamYear}/${teamSlug}`}>
                  gitlab.igem.org/{teamYear}/{teamSlug}
                </a>
                .
              </small>
            </p>
          </div>
        </div>
      </div>
    </footer>
  );
}
