import { BFHMoreButton } from "./Buttons";
import SimpleSlider from "./slider";




interface ItemProps {
    text?: string; 
    heading?: string; 
    vorname?: string, 
    vorname2?: string, 
    nachname?: string,
    nachname2?: string,
    date: string ,
    children: React.ReactNode;
    tag: string, 
    color: string,
    csstag: string,
    url: string,
    url2?: string
}



/* import ImageEvent from './ImageEvent.tsx';
import UrlButton from './UrlButton.tsx'; */
export const TimelineItemPic  = ({ heading, text, vorname, nachname, date, tag, color, children, csstag, url }:ItemProps) => (
    <div className="timeline-item">
        <div className="timeline-item-content">
            <span className="tag" style={{ background: color }}>
                {tag}
            </span> 
            <time>{date}</time>
            
            <hr/>
            <div className="row">
                <div className="col">
                    <figure className="snip1113 red">
                        <img src={url} alt="pr-sample1" />
                        <figcaption>
                            <h3>{vorname} <br/> <span>{nachname}</span></h3>
                        </figcaption>
                    </figure>
                </div>
                <div className="col text-1-bfh">
                    <h5>{heading}</h5>
                    <span className="">{text}</span>
                </div>
                {children}
            </div>
            
            <BFHMoreButton it={csstag}></BFHMoreButton>
            <span className="circle" />
        </div>
    </div>
);

export const TimelineItemTwoPic  = ({ url, url2, heading, text, vorname, nachname, vorname2, nachname2, date, tag, color, children, csstag }:ItemProps) => (
    <div className="timeline-item">
        <div className="timeline-item-content">
            <span className="tag" style={{ background: color }}>
                {tag}
            </span> 
            <time>{date}</time>
            
            <hr/>
            <div className="row">
                <div className="col">
                    <figure className="snip1113 red">
                        <img src={url} alt="pr-sample1" />
                        <figcaption>
                            <h3>{vorname} <br/> <span>{nachname}</span></h3>
                        </figcaption>
                    </figure>
                </div>
                <div className="col">       
                    <figure className="snip1113 red">
                        <img src={url2} alt="pr-sample1" />
                        <figcaption>
                            <h3>{vorname2} <br/> <span>{nachname2}</span></h3>
                        </figcaption>
                    </figure>
                </div>
                <div className="col text-1-bfh">
                    <h5>{heading}</h5>
                    <span className="">{text}</span>
                </div>
                {children}
            </div>
            
            <BFHMoreButton it={csstag}></BFHMoreButton>
            <span className="circle" />
        </div>
    </div>
);

export const TimelineItem  = ({ date, tag, color, children, csstag }:ItemProps) => (
    <div className="timeline-item">
        <div className="timeline-item-content">
            <span className="tag" style={{ background: color }}>
                {tag}
            </span> 
            <time>{date}</time>
            
            <hr/>
            {children}
            
            <BFHMoreButton it={csstag}></BFHMoreButton>
            <span className="circle" />
        </div>
    </div>
);

export const PanelTimelineItem  = () => (
    <div className="timeline-item">
        <div className="timeline-item-content">
            <span className="tag" style={{ background: "var(--lightblue)" }}>
                Talks
            </span> 
            <time>Panel Discussion</time>
            <div className="row align-items-center panel-talk-gallery">
                <div className="col">
                    <img className="img-round" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg" alt="pr-sample1" />
                    <div className="small middle">Taci <br/> Haddock</div>
                </div>
                <div className="col">
                    <img className="img-round"  src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg" alt="pr-sample1" />
                    <div className="small middle">Ana <br/> Sifuentes</div>
                </div>
                <div className="col">
                    <img className="img-round"  src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg" alt="pr-sample1" />
                    <div className="small middle">Olivia <br/> Mozolewska</div>
                </div>
                <div className="col">
                    <img className="img-round"   src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg" alt="pr-sample1" />
                    <div className="small middle">Lasse <br/> Middendorf</div>
                </div>
                <div className="col">
                    <img className="img-round"  src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg" alt="pr-sample1" />
                    <div className="small middle">Nemanja <br/> Stijepovic</div>
                </div>
            </div>
            <hr/>
            <span>Panel Discussion</span>
                    <div id="panel" style={{display: "none"}}>
                        So much more
                    </div>  
            
            <BFHMoreButton it="panel"></BFHMoreButton>
            <span className="circle" />
        </div>
    </div>
);



export function MyTimeline () {
    return(
        <>
            <div className="timeline-container">
                <div className='timeline-begin'>
                Begin & Opening
                </div>

                <TimelineItemTwoPic
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='Scientific Talk I.'
                tag= 'Talks'
                color='var(--lightblue)'
                csstag="talkone"
                vorname="Kristian"
                vorname2="Ram"
                nachname="Müller"
                nachname2="Shakar"
                heading="placeholder"
                text="Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et"
                >
                    <div id="talkone" style={{display: "none"}}>
                        So much more
                    </div>

                </TimelineItemTwoPic>
                <TimelineItemPic
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='How to Wiki'
                tag='Workshop Session I.'
                color='var(--text-primary)'
                csstag="wikiworkshop"
                vorname="Christian"
                nachname="Kolland"
                heading="placeholder"
                text="Learning the basics of Wiki coding and design. In this workshop, the participants geined expertise to elevate their teams wiki."
                >
                <div id="wikiworkshop" style={{display: "none"}}>
                        so much more
                </div>
                </TimelineItemPic>
                <TimelineItemPic
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='How to SynBio'
                tag='Workshop Session I.'
                color='var(--text-primary)'
                csstag="synworkshop"
                vorname="Traci"
                nachname="Haddock"
                text="Design genetic constructs and re-write the genomic code, and plan experiments using AI. Learn how to effectively build genetic circuit systems for implementation in your iGEM project.
                "
                heading="placeholder"
                >
                <div id="synworkshop" style={{display: "none"}}>
                        So much more
                </div>
                </TimelineItemPic>
                <TimelineItemTwoPic
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='How to use AI as a scientist'
                tag='Workshop Session I.'
                color='var(--text-primary)'
                csstag="aiworkshop"
                >
                    <h5>Modern problems require modern solutions</h5>
                    <span>Computational technologies are getting more in the focus of scientific research. Integration of generative KI like GenAI bypass limitations and offers potential risks - learn how to implement Artificial Intelligence.
                    </span>
                    <div id="aiworkshop" style={{display: "none"}}>
                        So much more
                    </div> 
                </TimelineItemTwoPic>
                <TimelineItemPic
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='Scientific Talk II.'
                tag= 'Talks'
                color='var(--lightblue)'
                csstag="talktwo"
                vorname="Karla"
                nachname="Wagner"
                heading="placeholder"
                text="Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et"
                >
                    <div id="talktwo" style={{display: "none"}}>
                        So much more
                    </div> 
                </TimelineItemPic>
                <TimelineItem
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='Team project presentations'
                tag= 'Team presentations'
                color='var(--accent-primary'
                csstag="teampres"
                >
                    <h5>Team project presentations</h5>
                    <div className="col bfh-slider">
                    <SimpleSlider>
                    <img className="" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                    <img className="" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                    <img className="" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                    </SimpleSlider>
                    </div>
                    <span>

                    </span>
                    <div id="teampres" style={{display: "none"}}>
                        So much more
                    </div> 
                </TimelineItem>
                <TimelineItem
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='Poster Exhibition Booth'
                tag= 'Team presentations'
                color='var(--accent-primary)'
                csstag="teambooth"
                >
                    <h5>Poster Exhibition Booth </h5>
                    <div className="col bfh-slider">
                    <SimpleSlider>
                    <img className="" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                    <img className="" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                    <img className="" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                    </SimpleSlider>
                    </div>
                    <span>

                    </span>
                    <div id="teambooth" style={{display: "none"}}>
                        So much more
                    </div> 
                </TimelineItem>
                <TimelineItemPic
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='How to work safe'
                tag='Workshop Session II.'
                color='var(--text-primary)'
                csstag="safeworkshop"
                vorname="Svenja"
                nachname="Vinke"
                heading="About Dual-use and Biosafety"
                text="Novel technologies opened possibilities and risks. Learn how you implement Safety and Security Strategies within your project and think more responsible in terms of Dual Use."
                >
                    <div id="safeworkshop" style={{display: "none"}}>
                        So much more
                    </div> 
                </TimelineItemPic>
                <TimelineItemPic
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='How to Communicate Science'
                tag='Workshop Session II.'
                color='var(--text-primary)'
                csstag="commworkshop"
                text="Experience how science communication could be. Learn creative and funny ways to communicate difficult topics. Think outside the box and train your skills. "
                >
                    <br></br>
                    
                    <div id="commworkshop" style={{display: "none"}}>
                        <br></br>
                        <h6>Setting</h6>
                        <p>
                        This workshop was offered to us by <a href="https://www.stud-scicom.de/">StudSciCom</a>.
                        StudSciCom is an initiative for science communication by students for students in Germany. 
                        They held this workshop for us for the very first time and we are glad that we were able to offer the 
                        uprising StudSciCom team a platform to try out this kind of outreach. In addition, we were able to gain 
                        knowledge about proper science communication –  a clear win-win situation for all of us!
                        </p>
                        <h6>What did we learn?</h6>
                        <p>
                        Julia Kalinowski, PhD at Bielefeld University and Foreign Minister of StudSciCom, together with Carolin Malmendier, 
                        former physics student and now organizer in the StudSciCom team, introduced us to the theories and  practice 
                        of different types of science communication and how to develop a communication strategy. 
                        In detail, we were taught to ask ourselves several questions to define our topic, the medium of 
                        communication, as well as the characterization of our target group and the planned achievement with our 
                        science communication. 
                        </p>
                        <img src="https://static.igem.wiki/teams/5247/photos/other/vortrag-scicom-bfh-screenshot.jpg"></img>
                        <p>The key message for us was to plan the science communication before we dive in and to make sure that the 
                            target audience gets the message we want to send.  </p>
                        <h6>Implementation</h6>
                        <p>
                        Afterwards, the attending iGEM teams talked about their science communication plans and how they could improve them 
                        using the skills learned in this workshop. Our team revised their plans for explaining gene editing to 
                        children and started developing experiments to help them better understand cystic fibrosis, which we 
                        presented later onto the public at “Der Teuto ruft!” [Link], an event in Bielefeld to connect the local 
                        population with regional companies and institutes to inform them about their work - including our iGEM team! 
                        </p>
                        </div>    
                </TimelineItemPic>
                <TimelineItemPic
                date='How to Pitch Your Project'
                tag='Workshop Session II.'
                color='var(--text-primary)'
                csstag="pitch"
                url="https://static.igem.wiki/teams/5247/photos/meetup/speakers/madeleine-mussgnug.jpg"
                vorname="Madeleine"
                nachname="Mussgnug"
                heading="placeholder"
                text="Image you have only three minutes with your boss to sell your idea... 
                After our workshop you learned techniques to sell every pen and even more to every boss on the planet.       
               "
                > 
                <div id="pitch" style={{display: "none"}}>
                        So much more
                    </div>  
                </TimelineItemPic>
                <TimelineItemPic
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='How to Multi Media'
                tag='Workshop Session II.'
                color='var(--text-primary)'
                csstag="multimedia"
                vorname="Michael"
                nachname="Gröning"
                heading="placeholder"
                text="Learn the basics of filmmaking and video production. 
                Look behind the scenes and get in touch with professionals. 
                Train your skills to direct iGEM-related videos and movies."
                > 
                
                <div id="multimedia" style={{display: "none"}}>
                        So much more
                    </div>  
                </TimelineItemPic>
                <PanelTimelineItem></PanelTimelineItem>
 
                <TimelineItemPic
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='iGEMer Ted Talks'
                tag= 'Talks'
                color='var(--lightblue)'
                heading="Secrets to award-winning bioinformatics tools"
                text="Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et"
                vorname="Lasse"
                nachname="Middendorf"
                csstag="tedtalk1"
                >
                    <div id="tedtalk1" style={{display: "none"}}>
                        <p>Lasse’s Ted talk was all about how to create good bioinformatics software. He himself was part of 
                            the dry lab in iGEM Münster’s Team that won the best software special prize in 2022. The tool they 
                            created allowed users to generate knockout candidates for an organism of their choice that would 
                            lead to redirection of metabolic flux to a reaction chosen by the user. We learned that the most 
                            important attributes for a successful bioinformatics software are: </p>
                        <ul>
                            <li><b>Usefulness </b></li>
                            <li><b>Accessibility</b></li>
                            <li><b>Build upon existing standards  </b></li>
                        </ul>
                        <p>To ensure usefulness, the software should be generalized and not only usable in the context of one’s 
                            own project. Also, all steps that can be automated should be automated. Accessibility, Lasse said, 
                            requires for the software to be easy to install, easy to use and well documented.  </p>
                        <p>As a funny, but also very fitting anecdote, Lasse told us about the HU test. For testing their own tool for 
                            accessibility, he gave a bioinformatically unexperienced, <b>h</b>ungover <b>u</b>ndergraduate student 
                            nothing but the software with the provided documentation. If the student can use the tool in a reasonable 
                            amount time, that would make it accessible enough for everyone. Furthermore, Lasse also recommended making 
                            a command line tool for better availability over time and integration into other workflows. Lastly, the 
                            software should use standard data files like CSV, Fasta etc. and be written in commonly used programming 
                            languages like Python. </p>
                        <p>Overall, Lasse gave a great insight into the properties of a special price winning software tool and very 
                            practically explained how these can be tested and achieved, information that is invaluable for us when 
                            creating our own bioinformatics tool. </p>
                    </div>  
                </TimelineItemPic>
                <TimelineItemPic
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='iGEMer Ted Talks'
                tag= 'Talks'
                color='var(--lightblue)'
                csstag="tedtalk2"
                vorname="place"
                nachname="holder"
                heading="placeholder"
                text="Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et"
                >
                    <div id="tedtalk2" style={{display: "none"}}>
                        So much more
                    </div>  
                </TimelineItemPic>
                <TimelineItemPic
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='Science Slam Session'
                tag= 'Talks'
                color='var(--lightblue)'
                csstag="slam1"
                heading="placeholder"
                nachname="holder"
                vorname="place"
                text="Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et"
                >
                    <div id="slam1" style={{display: "none"}}>
                        So much more
                    </div>  
                </TimelineItemPic>
                <TimelineItemPic
                url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
                date='Science Slam Session'
                tag= 'Talks'
                color='var(--lightblue)'
                csstag="slam2"
                heading="placeholder"
                text="Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et"
                vorname="place"
                nachname="holder"
                >
                    <div id="slam2" style={{display: "none"}}>
                        So much more
                    </div>  
                </TimelineItemPic>
                <div className='timeline-end'>
                    Award Ceremony
                </div>
            </div>
            
            </>
        )
    
}
