/* import { useNavigate } from "react-router-dom"; */

export const goTo = (el: HTMLElement): void => {
    const elementTop = el.getBoundingClientRect().top;
    const elementPosition = elementTop + window.pageYOffset;
    const middlePosition = elementPosition - (window.innerHeight / 3) + (el.offsetHeight / 2);

    window.scrollTo({
        top: middlePosition,
        behavior: 'smooth'
    });
};

interface ScrollLinkProps {
    targetId: string;
    label: string;
}
interface SupScrollLinkProps {
    label: string;
}

export const ScrollLink: React.FC<ScrollLinkProps> = ({ targetId, label }) => {
    const handleClick = () => {
        const targetElement = document.getElementById(targetId);
        if (targetElement) {
            goTo(targetElement);
        }
    };

    return (
        <a onClick={handleClick}>
            {label}
        </a>
    );
};

export const SupScrollLink : React.FC<SupScrollLinkProps> = ({label }) => {
    let targetId = "desc-" + label
    const handleClick = () => {
        const targetElement = document.getElementById(targetId);
        if (targetElement) {
            goTo(targetElement);
        }
    };

    return (
       <sup><a onClick={handleClick}>
            {label}
        </a>
        </sup> 
    );
};
/* 
export const goToTextsAndOpenCollapsible = ({collapseId, path}: {collapseId: string, path: string}) => {
    const navigate = useNavigate();
    navigate(`${path}${collapseId}`);
};
export const goToPagesAndOpenTab = (tabId: string, path: string) => {
    const navigate = useNavigate();
    navigate(`${path}${tabId}`);
}; */