import { useNavigate } from "react-router-dom";

export const useNavigation = () => {
    const navigate = useNavigate();

    const goToPagesAndOpenTab = (tabId: string, path: string) => {
        navigate(`${path}${tabId}`);
    };

    const goToTextsAndOpenCollapsible = (collapseId: string, path: string) => {
        navigate(`${path}${collapseId}`);
    };

    return { goToPagesAndOpenTab, goToTextsAndOpenCollapsible };
};